import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdMaterial {
    /**
    * 素材id
    * @type { string }
    */
    id?: string;
    /**
    * 广告样式id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * 素材名称
    * @type { string }
    */
    name?: string;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 子表 AdMaterialDetail
    * @type { AdMaterialDetail[] }
    */
    adMaterialDetail?: AdMaterialDetail[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class AdMaterialMI {
    static get ID(): FieldInfo;
    static get AD_STYLE_ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdInfoMaterial {
    /**
    * 广告信息id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 素材id
    * @type { string }
    */
    adMaterialId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * extend field in AdMaterial
    * 素材id
    * @type { string }
    */
    id?: string;
    /**
    * extend field in AdMaterial
    * 广告样式id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * extend field in AdMaterial
    * 素材名称
    * @type { string }
    */
    name?: string;
    /**
    * extend field in AdMaterial
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    * extend field in AdMaterial
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    * extend field in AdMaterial
    *
    * @type { string }
    */
    creator?: string;
    /**
    * extend field in AdMaterial
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in AdMaterial
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class AdInfoMaterialMI {
    static get AD_INFO_ID(): FieldInfo;
    static get AD_MATERIAL_ID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
    static get ID(): FieldInfo;
    static get AD_STYLE_ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdInfo {
    /**
    * 广告id
    * @type { string }
    */
    id?: string;
    /**
    * 广告名称
    * @type { string }
    */
    name?: string;
    /**
    * 广告描述
    * @type { string }
    */
    descripion?: string;
    /**
    * 跳转链接
    * @type { string }
    */
    url?: string;
    /**
    * 广告来源：1，后台；2，KOS
    * @type { boolean }
    */
    source?: boolean;
    /**
    * 合作方：0，自营；1，远山
    * @type { any }
    */
    partner?: any;
    /**
    * 状态：0，上架；1，人工下架；2，到期下架
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 子表 AdInfoMaterial
    * @type { AdInfoMaterial[] }
    */
    adInfoMaterial?: AdInfoMaterial[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class AdInfoMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get DESCRIPION(): FieldInfo;
    static get URL(): FieldInfo;
    static get SOURCE(): FieldInfo;
    static get PARTNER(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdPosition {
    /**
    * 主键ID
    * @type { string }
    */
    id?: string;
    /**
    * 广告位名称
    * @type { string }
    */
    name?: string;
    /**
    * 广告位类型：0，banner
    * @type { any }
    */
    type?: any;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建者
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 更新者
    * @type { string }
    */
    updator?: string;
    /**
    * 描述
    * @type { string }
    */
    descirption?: string;
    /**
    * 子表 AdPositionStyle
    * @type { AdPositionStyle[] }
    */
    adPositionStyle?: AdPositionStyle[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class AdPositionMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
    static get DESCIRPTION(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdDeliveryPlanStatistics {
    /**
    *
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 请求次数
    * @type { number }
    */
    requestTimes?: number;
    /**
    * 展示次数
    * @type { number }
    */
    impressionTimes?: number;
    /**
    * 点击次数
    * @type { number }
    */
    clickTimes?: number;
    /**
    * 成交次数
    * @type { number }
    */
    actionTimes?: number;
}
export declare class AdDeliveryPlanStatisticsMI {
    static get AD_DELIVERY_PLAN_ID(): FieldInfo;
    static get AD_INFO_ID(): FieldInfo;
    static get REQUEST_TIMES(): FieldInfo;
    static get IMPRESSION_TIMES(): FieldInfo;
    static get CLICK_TIMES(): FieldInfo;
    static get ACTION_TIMES(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdMaterialDetail {
    /**
    * 素材明细id
    * @type { string }
    */
    id?: string;
    /**
    * 素材id
    * @type { string }
    */
    adMaterialId?: string;
    /**
    * 素材类型：0，图片；1，主标题；2，副标题
    * @type { string }
    */
    type?: string;
    /**
    * 素材内容
    * @type { string }
    */
    value?: string;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
}
export declare class AdMaterialDetailMI {
    static get ID(): FieldInfo;
    static get AD_MATERIAL_ID(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get VALUE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdDeliveryPlanPerUserStatistics {
    /**
    *
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 用户类型：0，速停车用户；1，非速停车用户
    * @type { boolean }
    */
    userType?: boolean;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 请求次数
    * @type { number }
    */
    requestTimes?: number;
    /**
    * 展示次数
    * @type { number }
    */
    impressionTimes?: number;
    /**
    * 点击次数
    * @type { number }
    */
    clickTimes?: number;
    /**
    * 成交次数
    * @type { number }
    */
    actionTimes?: number;
}
export declare class AdDeliveryPlanPerUserStatisticsMI {
    static get AD_DELIVERY_PLAN_ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get USER_TYPE(): FieldInfo;
    static get AD_INFO_ID(): FieldInfo;
    static get REQUEST_TIMES(): FieldInfo;
    static get IMPRESSION_TIMES(): FieldInfo;
    static get CLICK_TIMES(): FieldInfo;
    static get ACTION_TIMES(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdStyle {
    /**
    * 主键id
    * @type { string }
    */
    id?: string;
    /**
    * 宽度（单位像素）
    * @type { number }
    */
    width?: number;
    /**
    * 高度（单位像素）
    * @type { number }
    */
    height?: number;
    /**
    * 类型：0，单图
    * @type { any }
    */
    type?: any;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 广告位类型：1，banner
    * @type { any }
    */
    adPositionType?: any;
}
export declare class AdStyleMI {
    static get ID(): FieldInfo;
    static get WIDTH(): FieldInfo;
    static get HEIGHT(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
    static get AD_POSITION_TYPE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdDeliveryPlan {
    /**
    * 广告投递id
    * @type { number }
    */
    id?: number;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 收费类型：0，CPD；1，CPA；2，CPM
    * @type { any }
    */
    chargeType?: any;
    /**
    * 价格
    * @type { number }
    */
    price?: number;
    /**
    * 投放起始时间
    * @type { Date }
    */
    startTime?: Date;
    /**
    * 投放结束时间
    * @type { Date }
    */
    endTime?: Date;
    /**
    * 展示次数上限
    * @type { number }
    */
    dispalyTimes?: number;
    /**
    * 单用户展示次数上限
    * @type { number }
    */
    displayTimesPerUser?: number;
    /**
    * 状态：0，启用，1删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
}
export declare class AdDeliveryPlanMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get AD_INFO_ID(): FieldInfo;
    static get CHARGE_TYPE(): FieldInfo;
    static get PRICE(): FieldInfo;
    static get START_TIME(): FieldInfo;
    static get END_TIME(): FieldInfo;
    static get DISPALY_TIMES(): FieldInfo;
    static get DISPLAY_TIMES_PER_USER(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdDeliveryPlanCityLot {
    /**
    * 广告投放计划id
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 城市id，特殊值0表示所有城市
    * @type { string }
    */
    cityId?: string;
    /**
    * 车场id，特殊值0，表示所有车场
    * @type { string }
    */
    lotId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
}
export declare class AdDeliveryPlanCityLotMI {
    static get AD_DELIVERY_PLAN_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdDeliveryPlanCityLotBlacklist {
    /**
    * 广告投放计划id
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 城市id，特殊值0表示所有城市
    * @type { string }
    */
    cityId?: string;
    /**
    * 车场id，特殊值0，表示所有车场
    * @type { string }
    */
    lotId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
}
export declare class AdDeliveryPlanCityLotBlacklistMI {
    static get AD_DELIVERY_PLAN_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdDeliveryPlanPositionMaterial {
    /**
    * 投放计划id
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 广告位id
    * @type { string }
    */
    adPositionId?: string;
    /**
    * 素材id
    * @type { string }
    */
    adMaterialId?: string;
    /**
    * 样式id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * 广告信息id
    * @type { string }
    */
    adInfoId?: string;
}
export declare class AdDeliveryPlanPositionMaterialMI {
    static get AD_DELIVERY_PLAN_ID(): FieldInfo;
    static get AD_POSITION_ID(): FieldInfo;
    static get AD_MATERIAL_ID(): FieldInfo;
    static get AD_STYLE_ID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
    static get AD_INFO_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
export interface AdPositionStyle {
    /**
    * 广告位置表id
    * @type { string }
    */
    adPositionId?: string;
    /**
    * 广告样式表id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * extend field in AdStyle
    * 主键id
    * @type { string }
    */
    id?: string;
    /**
    * extend field in AdStyle
    * 宽度（单位像素）
    * @type { number }
    */
    width?: number;
    /**
    * extend field in AdStyle
    * 高度（单位像素）
    * @type { number }
    */
    height?: number;
    /**
    * extend field in AdStyle
    * 类型：0，单图
    * @type { any }
    */
    type?: any;
    /**
    * extend field in AdStyle
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    * extend field in AdStyle
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    * extend field in AdStyle
    *
    * @type { string }
    */
    creator?: string;
    /**
    * extend field in AdStyle
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in AdStyle
    *
    * @type { string }
    */
    updator?: string;
    /**
    * extend field in AdStyle
    * 广告位类型：1，banner
    * @type { any }
    */
    adPositionType?: any;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class AdPositionStyleMI {
    static get AD_POSITION_ID(): FieldInfo;
    static get AD_STYLE_ID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
    static get ID(): FieldInfo;
    static get WIDTH(): FieldInfo;
    static get HEIGHT(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
    static get AD_POSITION_TYPE(): FieldInfo;
}
